### File

`packages/components/eui-calendar/eui-calendar-weekly-day-header-actions.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
host | `{ }`
selector | `eui-calendar-weekly-day-header-action`
imports | `EUI_LABEL` `EUI_DROPDOWN` `EUI_ICON` `EUI_BUTTON`
styles | `:host { display: flex; flex-direction: row; justify-content: space-between; width: 100%; &.disabled { opacity: 50%; } .left-content { align-content: center; } .right-content { align-content: center; } }`
templateUrl | `./eui-calendar-weekly-day-header-actions.component.html`

### Index

###### Inputs

- date
- disabled
- options
- sublabel

###### Outputs

- action
- date

### Inputs

date
Type : `Date`
Required : true
Date to display in the header.

disabled
Type : `boolean, BooleanInput`
Default value : `false, { transform: booleanAttribute }`
Disabled state of the component. If true, the action button will be disabled. Default is false.

options
Type : `Array<EuiCalendarDayHeaderActionOption>`
Default value : `[]`
Options for the action button dropdown.

sublabel
Type : `string`
Sublabel to display under the date.

### Outputs

action
Type : `MouseEvent | KeyboardEvent`
Event emitted when the action button is clicked. Can be used to trigger a dropdown or any other action.

date
Type : `Date`
Date to display in the header.

# results matching ""

# No results matching ""